.dashboard {
    display: flex;
    flex-wrap: wrap;

    &__content {
        width: 746px;
        margin-right: 20px;

        @media #{$bp-lg} {
            max-width: 100%;
            margin-right: 0;
        }

        @media #{$bp-lg} {
            width: 100%;
            max-width: 100%;
            margin-right: 0;
        }
    }
    &__sidebar {
        width: 284px;

        @media #{$bp-lg} {
            width: 100%;
            max-width: 100%;
        }
    }
    &__graph {
        padding-right: 30px;
        background-color: #504b41;
        border-radius: 5px 5px 0 0;

        @media #{$bp-sm} {
            padding-right: 15px;
        }

        line {
            stroke: #9a8b6f;
            stroke-width: 2px;

            &.vertical-line {
                stroke: #58534b;
                stroke-width: 1px;
            }

            &.description-line {
                stroke: #fff;
                stroke-width: 1px;
                z-index: 9;
            }
        } 

        line.vertical {
            display: none;
            transition: .2s ease-in-out;
        }

        circle {
            cursor: pointer;
            fill:#9a8b6f; 
            stroke:#ffffff; 
            stroke-width: 2;
        }
    }
}

.graph {
    position: relative;
    height: 248px;

    .description {
        position: absolute;

        &-title,
        &-money {
            font-size: 14px;
            line-height: 24px;
            color: #fff;
        }
        &-money {
            display: block;
            margin-top: 5px;
        }
        &-title {
            width: 220px;
            position: absolute;

            &:before {
                content: '';
                position: absolute;
                left: -33px;
                top: 10px;
                width: 28px;
                height: 1px;
                background-color: #fff;
                @media #{$bp-sm} {
                    display: none;
                }
            }

            &--left {
                text-align: right;
                
                &:before {
                    display: none;
                }

                &:after {
                    content: '';
                    position: absolute;
                    right: -33px;
                    top: 10px;
                    width: 28px;
                    height: 1px;
                    background-color: #fff;
                    @media #{$bp-sm} {
                        display: none;
                    }
                }
            }


            @media #{$bp-sm} {
                left: 20px !important;
                top: 20px !important;
            }
        }
    }
}

.list {
    &__header {
        display: flex;
        justify-content: space-between;
        background-color: #767066;
        color: #d3cabb;
        padding: 15px 20px;

        a {
            color: #d3cabb;
            text-decoration: none;

            &:hover,
            &:focus {
                color: #fff;
            }
        }
    }
    .items__list {
        height: 440px;
        overflow: hidden;
        padding-bottom: 5px;
        background-color: #fff;
        border-radius: 0 0 5px 5px;
    }
    &__item {
        display: flex;
        flex-wrap: wrap;
        border-bottom: 1px solid $base-border-light;
        background-color: #fff;
        padding: 20px;
        
        &:last-child {
            border-radius: 0 0 5px 5px;
            border-bottom: none;
        }

        &--left {
            margin-right: auto;
        }
        &--right {
            text-align: right;
        }

        .item__title,
        .item__money {
            font-size: 18px;
            color: #505050;
        }

        .item__money {
            &.up {
                color: #71ad49;
            }
            &.down {
                color: #dd4343;
            }
        }

        .item__text,
        .item__date {
            margin-top: 15px;
            font-size: 13px;
            color: #939393;
        }
    }
}